package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="未上传金蝶记录")
public class AmsNotUploadedEas implements IBasePO<String> {
    /**
     * 订单ID 兼 主键ID(ORDER_ID,VARCHAR,200)
     */
    @ApiModelProperty(value="订单ID 兼 主键ID",required=true)
    private String orderId;

    /**
     * 采购订单号(NO,VARCHAR,200)
     */
    @ApiModelProperty(value="采购订单号",required=false)
    private String no;

    /**
     * 磅单号(RESULT_POUND_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="磅单号",required=false)
    private String resultPoundNo;

    /**
     * 车牌号(CAPACITY_NUMBER,VARCHAR,200)
     */
    @ApiModelProperty(value="车牌号",required=false)
    private String capacityNumber;

    /**
     * 毛重汽车衡(RESULT_CROSS_CALCULATE_NUMBER,VARCHAR,200)
     */
    @ApiModelProperty(value="毛重汽车衡",required=false)
    private String resultCrossCalculateNumber;

    /**
     * 皮重汽车衡(RESULT_TARE_CALCULATE_NUMBER,VARCHAR,200)
     */
    @ApiModelProperty(value="皮重汽车衡",required=false)
    private String resultTareCalculateNumber;

    /**
     * 毛重(RESULT_CROSS_WEIGHT,VARCHAR,200)
     */
    @ApiModelProperty(value="毛重",required=false)
    private String resultCrossWeight;

    /**
     * 皮重(RESULT_TARE_WEIGHT,VARCHAR,200)
     */
    @ApiModelProperty(value="皮重",required=false)
    private String resultTareWeight;

    /**
     * 净重(RESULT_NET_WEIGHT,VARCHAR,200)
     */
    @ApiModelProperty(value="净重",required=false)
    private String resultNetWeight;

    /**
     * 毛重时间(RESULT_CROSS_WEIGHT_TIME,VARCHAR,200)
     */
    @ApiModelProperty(value="毛重时间",required=false)
    private String resultCrossWeightTime;

    /**
     * 皮重时间(RESULT_TARE_WEIGHT_TIME,VARCHAR,200)
     */
    @ApiModelProperty(value="皮重时间",required=false)
    private String resultTareWeightTime;

    /**
     * 金蝶分录ID(EAS_ENTRY_ID,VARCHAR,200)
     */
    @ApiModelProperty(value="金蝶分录ID",required=false)
    private String easEntryId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.orderId;
    }

    @Override
    public void setId(String orderId) {
        this.orderId = orderId == null ? null : orderId.trim();
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId == null ? null : orderId.trim();
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no == null ? null : no.trim();
    }

    public String getResultPoundNo() {
        return resultPoundNo;
    }

    public void setResultPoundNo(String resultPoundNo) {
        this.resultPoundNo = resultPoundNo == null ? null : resultPoundNo.trim();
    }

    public String getCapacityNumber() {
        return capacityNumber;
    }

    public void setCapacityNumber(String capacityNumber) {
        this.capacityNumber = capacityNumber == null ? null : capacityNumber.trim();
    }

    public String getResultCrossCalculateNumber() {
        return resultCrossCalculateNumber;
    }

    public void setResultCrossCalculateNumber(String resultCrossCalculateNumber) {
        this.resultCrossCalculateNumber = resultCrossCalculateNumber == null ? null : resultCrossCalculateNumber.trim();
    }

    public String getResultTareCalculateNumber() {
        return resultTareCalculateNumber;
    }

    public void setResultTareCalculateNumber(String resultTareCalculateNumber) {
        this.resultTareCalculateNumber = resultTareCalculateNumber == null ? null : resultTareCalculateNumber.trim();
    }

    public String getResultCrossWeight() {
        return resultCrossWeight;
    }

    public void setResultCrossWeight(String resultCrossWeight) {
        this.resultCrossWeight = resultCrossWeight == null ? null : resultCrossWeight.trim();
    }

    public String getResultTareWeight() {
        return resultTareWeight;
    }

    public void setResultTareWeight(String resultTareWeight) {
        this.resultTareWeight = resultTareWeight == null ? null : resultTareWeight.trim();
    }

    public String getResultNetWeight() {
        return resultNetWeight;
    }

    public void setResultNetWeight(String resultNetWeight) {
        this.resultNetWeight = resultNetWeight == null ? null : resultNetWeight.trim();
    }

    public String getResultCrossWeightTime() {
        return resultCrossWeightTime;
    }

    public void setResultCrossWeightTime(String resultCrossWeightTime) {
        this.resultCrossWeightTime = resultCrossWeightTime == null ? null : resultCrossWeightTime.trim();
    }

    public String getResultTareWeightTime() {
        return resultTareWeightTime;
    }

    public void setResultTareWeightTime(String resultTareWeightTime) {
        this.resultTareWeightTime = resultTareWeightTime == null ? null : resultTareWeightTime.trim();
    }

    public String getEasEntryId() {
        return easEntryId;
    }

    public void setEasEntryId(String easEntryId) {
        this.easEntryId = easEntryId == null ? null : easEntryId.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", orderId=").append(orderId);
        sb.append(", no=").append(no);
        sb.append(", resultPoundNo=").append(resultPoundNo);
        sb.append(", capacityNumber=").append(capacityNumber);
        sb.append(", resultCrossCalculateNumber=").append(resultCrossCalculateNumber);
        sb.append(", resultTareCalculateNumber=").append(resultTareCalculateNumber);
        sb.append(", resultCrossWeight=").append(resultCrossWeight);
        sb.append(", resultTareWeight=").append(resultTareWeight);
        sb.append(", resultNetWeight=").append(resultNetWeight);
        sb.append(", resultCrossWeightTime=").append(resultCrossWeightTime);
        sb.append(", resultTareWeightTime=").append(resultTareWeightTime);
        sb.append(", easEntryId=").append(easEntryId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}